summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* base/make.defaults: change NETBEANS settings name to NETBEANS_MODULESTim Harder2019-01-311-1/+1
| | | | | | To match the USE_EXPAND and USE flag settings. Signed-off-by: Tim Harder <radhermit@gentoo.org>
* profiles: remove system-llvm usemask for rustGeorgy Yakovlev2019-01-251-4/+0
| | | | | Closes: https://bugs.gentoo.org/675752 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* profiles: mask system-llvm useflag for latest rustGeorgy Yakovlev2019-01-191-0/+4
| | | | Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
* net-libs/libvncserver: Require >=libressl-2.7.0, bug #675780Sven Wegener2019-01-181-0/+4
| | | | | | Closes: https://bugs.gentoo.org/675780 Signed-off-by: Sven Wegener <swegener@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
* profiles/base/package.use.mask: added dev-java/oracle-jdk-bin:11[gentoo-vm] maskMiroslav Šulc2019-01-161-0/+1
| | | | Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
* profiles: base: Drop obsolete CALLIGRA_EXPERIMENTAL_FEATURESAndreas Sturmlechner2019-01-161-1/+1
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* profiles: base: Drop 'plan' from CALLIGRA_FEATURESAndreas Sturmlechner2019-01-161-1/+1
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* profiles: move the memtest86+[floppy] mask to baseWilliam Hubbs2019-01-131-0/+6
| | | | | Bug: https://bugs.gentoo.org/674364 Signed-off-by: William Hubbs <williamh@gentoo.org>
* profiles/base/package.use.mask: Remove wine ffmpeg maskNick Sarnie2019-01-131-5/+0
| | | | | | Not masked anymore Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
* profiles: base: Mask media-video/vlc[dav1d]Andreas Sturmlechner2019-01-131-0/+4
| | | | | | Not keyworded on most arches. Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* profiles: Mask package USE that depend on PHP 7.0Brian Evans2019-01-111-1/+6
| | | | Signed-off-by: Brian Evans <grknight@gentoo.org>
* profiles: Mask PHP 7.0 for removalBrian Evans2019-01-111-0/+4
| | | | | | End of life and has known security vulnerabilities Signed-off-by: Brian Evans <grknight@gentoo.org>
* profiles: Unmask PHP 7.3 as it is releasedBrian Evans2019-01-112-6/+6
| | | | Signed-off-by: Brian Evans <grknight@gentoo.org>
* profiles: Drop obsolete kde-plasma/plasma-desktop[appstream] stable-maskAndreas Sturmlechner2019-01-101-6/+0
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* profiles: Drop obsolete app-office/libreoffice[kde] p.use.stable.maskAndreas Sturmlechner2019-01-101-4/+0
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* base/make.defaults: drop ruby23 from default RUBY_TARGETSHans de Graaff2019-01-091-1/+1
| | | | | | | | Ideally this would have been left here a bit longer to facilitate updating to ruby24, but with ruby23 blocking openssl 1.1.0 it is causing enough noise that we are removing this a bit earlier. Signed-off-by: Hans de Graaff <graaff@gentoo.org>
* profiles: Add back stage to CALLIGRA_FEATURES, default disabledAndreas Sturmlechner2019-01-011-3/+3
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* profiles: add ruby26 supportHans de Graaff2018-12-261-1/+2
| | | | Signed-off-by: Hans de Graaff <graaff@gentoo.org>
* profiles/base: Unmask USE=z3 on clang-8+Michał Górny2018-12-201-1/+1
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* gnome-base/gnome-desktop: bump to 3.26.2Mart Raudsepp2018-12-141-0/+4
| | | | | | | | | | | | | | | | | | | | | Also force seccomp when available, or configure fails. This is not patched to be optional on purpose - this kind of security is NOT optional as far as I'm concerned. Compared to gnome overlay version, this one: * adds a big patchset for more sandboxed thumbnailing fixes, memory leak fixes and other misc changes that don't break ABI * patch to hopefully fix thumbnailing on non-seccomp architectures (bwrap was still enabled, leading to broken runtime as bwrap requires seccomp) * RDEPENDs on sys-apps/bubblewrap with seccomp as required * removes USE=dbus dep on glib * revbumps over overlay revision to ensure upgrades Closes: https://bugs.gentoo.org/653786 Signed-off-by: Mart Raudsepp <leio@gentoo.org> Package-Manager: Portage-2.3.52, Repoman-2.3.11
* profiles/base: Unmask sys-devel/clang[z3]Michał Górny2018-12-141-4/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* x11-base/xorg-drivers: [QA] Remove support for removed xf86-*-tslibMichał Górny2018-12-111-5/+1
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* profiles/base: Remove obsolete mate-power-manager[pm-utils] maskMichał Górny2018-12-111-4/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* sys-fs/lvm2: [QA] Punt removed cman/clvm supportMichał Górny2018-12-111-4/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* sys-cluster/pacemaker: [QA] Punt removed cman depMichał Górny2018-12-111-4/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* media-video/libav: [QA] Punt removed schroedinger depMichał Górny2018-12-111-4/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* media-video/ffmpeg: [QA] Punt removed schreodinger depMichał Górny2018-12-111-1/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* media-libs/mediastreamer: [QA] Punt removed silk supportMichał Górny2018-12-111-4/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* media-libs/libquicktime: [QA] Punt removed schroedinger supportMichał Górny2018-12-111-1/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* mate-extra/caja-extensions: [QA] Punt removed gksu supportMichał Górny2018-12-111-4/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* profiles/base: Mask >=sys-devel/clang-8[z3] due to depsMichał Górny2018-12-081-0/+4
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* profiles: Release argon2 USE on dev-lang/php to unstableBrian Evans2018-12-062-4/+4
| | | | Signed-off-by: Brian Evans <grknight@gentoo.org>
* sys-cluster/libdlm: Remove last-rited pkgMichał Górny2018-12-041-4/+0
| | | | | Closes: https://bugs.gentoo.org/618050 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* sys-cluster/cman: Remove last-rited pkgMichał Górny2018-12-041-5/+1
| | | | | Closes: https://bugs.gentoo.org/618050 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* profiles/base: Remove obsolete php5-5 maskMichał Górny2018-12-011-4/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* profiles/base: Move USE=mumble mask to package.use.maskMichał Górny2018-12-012-4/+9
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* profiles: Clean removed media-libs/mesa flagsMichał Górny2018-12-011-4/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* profiles: Last rite games-server/ut2003-dedMichał Górny2018-11-281-0/+4
| | | | | Bug: https://bugs.gentoo.org/640580 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* profiles/use.mask: Revert removing mumble maskMichał Górny2018-11-281-1/+5
| | | | | | | The mask is still used. My mistake. Fixes: 9180ae56044 (profiles: Remove a bunch of obsolete ...) Signed-off-by: Michał Górny <mgorny@gentoo.org>
* profiles: Remove a bunch of obsolete package/flag masksMichał Górny2018-11-283-49/+2
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* profiles: Remove mask on xauth's USE=testMatt Turner2018-11-271-4/+0
| | | | | | cmdtest is stable on all arches now. Signed-off-by: Matt Turner <mattst88@gentoo.org>
* profiles: Cleanup obsolete USE celt masksAndreas Sturmlechner2018-11-181-5/+0
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* dev-lang/gna-gpl: remove go use flagTupone Alfredo2018-11-181-0/+4
| | | | Signed-off-by: Alfredo Tupone <tupone@gentoo.org>
* profiles: Drop obsolete media-video/vlc[schroedinger] package.use.maskAndreas Sturmlechner2018-11-181-1/+0
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* profiles: Update audacious use.mask description, unmask on amd64/x86Andreas Sturmlechner2018-11-171-1/+1
| | | | | Closes: https://bugs.gentoo.org/643784 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* profiles/base/use.mask: Remove postgres11 maskAaron W. Swenson2018-11-171-4/+0
| | | | | | dev-db/postgresql:11 is no longer masked. Signed-off-by: Aaron Swenson <titanofold@gentoo.org>
* base/package.use.mask: re-enable razor support for amavisd-newPacho Ramos2018-11-141-4/+0
| | | | | | | As razor was fixed Bug: https://bugs.gentoo.org/648204 Signed-off-by: Pacho Ramos <pacho@gentoo.org>
* profiles/arch: prepare for ruby24 stable bugHans de Graaff2018-11-122-4/+3
| | | | | | | | | | Mask ruby_targets_ruby24 in each arch with stable ruby and set RUBY_TARGETS for each arch to ruby23, so that each arch can stable ruby24 in their own time. See bug 661262 for more details. Signed-off-by: Hans de Graaff <graaff@gentoo.org>
* profiles: use.mask d3d9 except on amd64/x86Matt Turner2018-11-111-0/+4
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* package.mask: Mask some packages for removal.Pacho Ramos2018-11-111-0/+16
| | | | Signed-off-by: Pacho Ramos <pacho@gentoo.org>